Runtime

## org.eclipse.gmf.runtime.diagram.ui.resources.editor.document
Class AbstractDocumentProvider.DocumentProviderOperation

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.AbstractDocumentProvider.DocumentProviderOperation

All Implemented Interfaces:
  IRunnableWithProgress

Enclosing class:
  AbstractDocumentProvider

protected abstract static class AbstractDocumentProvider.DocumentProviderOperation
extends java.lang.Object
implements IRunnableWithProgress

Operation created by the document provider and to be executed by the providers runnable context.

Constructor Summary
`protected` `AbstractDocumentProvider.DocumentProviderOperation()`

Method Summary
`protected abstract void` `execute(IProgressMonitor monitor)` The actual functionality of this operation.
`void` `run(IProgressMonitor monitor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDocumentProvider.DocumentProviderOperation

    protected AbstractDocumentProvider.DocumentProviderOperation()

Method Detail

### execute

    protected abstract void execute(IProgressMonitor monitor)
                             throws CoreException

  The actual functionality of this operation.

  Parameters:
    `monitor` - a progress monitor to track execution
  Throws:
    `CoreException`

### run

    public void run(IProgressMonitor monitor)
             throws java.lang.reflect.InvocationTargetException,
                    java.lang.InterruptedException

  Specified by:
    `run` in interface `IRunnableWithProgress`
  Throws:
    `java.lang.reflect.InvocationTargetException`
    `java.lang.InterruptedException`
  See Also:
    `IRunnableWithProgress.run(org.eclipse.core.runtime.IProgressMonitor)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.